package cn.iocoder.yudao.module.mes.dal.mysql.errorrecord;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.errorrecord.ErrorRecordDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.mes.controller.admin.errorrecord.vo.*;

/**
 * 错误记录 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface ErrorRecordMapper extends BaseMapperX<ErrorRecordDO> {

    default PageResult<ErrorRecordDO> selectPage(ErrorRecordPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ErrorRecordDO>()
                .eqIfPresent(ErrorRecordDO::getTitle, reqVO.getTitle())
                .eqIfPresent(ErrorRecordDO::getLocation, reqVO.getLocation())
                .eqIfPresent(ErrorRecordDO::getException, reqVO.getException())
                .eqIfPresent(ErrorRecordDO::getPreData, reqVO.getPreData())
                .eqIfPresent(ErrorRecordDO::getPostData, reqVO.getPostData())
                .betweenIfPresent(ErrorRecordDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ErrorRecordDO::getId));
    }

}